/* IMPORTS */ /* VARIABLES */ /* TYPOGRAPHY */
/* Google Fonts */
@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v25/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtr6Ew-.ttf) format("truetype");
}
@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v25/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtZ6Ew-.ttf) format("truetype");
}
@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v25/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCuM70w-.ttf) format("truetype");
}
body {
  font-family: "Montserrat", sans-serif;
}

a {
  font-weight: bold;
}

p {
  word-wrap: break-word;
}

.email {
  -webkit-text-decoration-line: underline;
          text-decoration-line: underline;
  font-weight: normal !important;
  font-size: 1rem !important;
}

.top-container {
  border-bottom: 5px solid #165670;
  /* navigation bar */
}
.top-container .navbar #navbarText {
  margin-top: 3.125rem;
}
.top-container .active-hover-nav, .top-container .navbar-nav a.is-active,
.top-container .navbar-nav a:hover, .top-container .navbar-nav .nav-item.active a,
.top-container .navbar-nav .nav-item.active a:hover {
  border-bottom: 6px solid #fcb638;
  font-weight: bold;
}
.top-container .navbar-nav .nav-link {
  font-size: 1rem !important;
  text-align: center;
  display: -webkit-inline-box;
  display: -webkit-inline-flex;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
      -ms-flex-pack: justify;
          justify-content: space-between;
  text-decoration: none;
}
.top-container .navbar-nav .nav-link::after {
  content: attr(data-text);
  height: 0;
  visibility: hidden;
  overflow: hidden;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  pointer-events: none;
  font-weight: bold;
}
@media speech {
  .top-container .navbar-nav .nav-link::after {
    display: none;
  }
}
.top-container .navbar-nav a {
  padding-right: 0 !important;
  padding-left: 0 !important;
  font-weight: normal;
}
.top-container .navbar-nav .nav-item {
  margin-right: 1rem;
  margin-left: 1rem;
}
.top-banner {
  height: 400px;
  background-position: center center;
  background-repeat: no-repeat;
  -webkit-background-size: cover;
          background-size: cover;
}
.top-banner.no-banner {
  height: 130px;
}

.site-footer {
  padding-bottom: 0;
  font-size: 0.75rem;
}
.site-footer a,
.site-footer a.is-active {
  color: #fff;
  border-bottom: 0px !important;
  font-weight: normal;
}
.site-footer .navbar-nav .nav-link {
  font-size: 0.75rem !important;
  padding: 0.125rem 0;
}

.region-footer-fifth {
  padding: 0;
  margin: 0;
}
.region-footer-fifth .block-cookies-ui-block {
  margin: 0;
}
.region-footer-fifth .block-cookies-ui-block .content {
  padding: 0;
  margin: 0;
}
.region-footer-fifth #cookiesjsr {
  margin: 0;
}
.region-footer-fifth #cookiesjsr .cookiesjsr-banner {
  /* filter: drop-shadow(0 0 0.75rem blue); */
}

.user-logged-in .top-container {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  top: 80px;
  z-index: 500;
}
.user-logged-in .contextual-toolbar-tab {
  display: none !important;
}

.node--type-page .block-page-title-block {
  margin-top: 1.5625rem;
}
.node--type-page h2 {
  font-size: 1.25rem;
  font-weight: bold;
}
.node--type-page p {
  text-align: justify;
}

@media only screen and (max-width: 35.9375rem) {
  .banner-text-container {
    font-size: 1.3rem;
  }
}
@media only screen and (max-width: 26.875rem) {
  .navbar-brand img {
    width: 190px;
  }
}
@media only screen and (max-width: 47.9375rem) {
  .w-md-200 {
    width: 200px;
  }
  .w-md-240 {
    width: 240px;
  }
}
@media screen and (min-width: 48rem) {
  .top-container {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
  }
  .banner-text-container {
    font-size: 1.5rem;
  }
}
@media screen and (min-width: 48rem) {
  .top-banner {
    height: 500px;
    margin-top: 8.0625rem;
  }
}
@media screen and (max-width: 47.9375rem) {
  .px-sm-3 {
    padding-right: 2rem !important;
    padding-left: 2rem !important;
  }
  p {
    text-align: left;
  }
}
.text-justify {
  text-align: justify;
}

.fs-12 {
  font-size: 0.75rem;
}

.fs-14 {
  font-size: 0.875rem;
}

.fs-18 {
  font-size: 1.125rem;
}

.fs-20 {
  font-size: 1.25rem;
}

.fs-24 {
  font-size: 1.5rem;
}

.fs-28 {
  font-size: 1.75rem;
}

.fs-32 {
  font-size: 2rem;
}

.fs-48 {
  font-size: 3rem;
}

.fs-64 {
  font-size: 4rem;
}

.fw-500 {
  font-weight: 500;
}

.h-160 {
  height: 160px;
}

.h-180 {
  height: 180px;
}

.h-200 {
  height: 200px;
}

.h-220 {
  height: 220px;
}

.h-250 {
  height: 250px;
}

.h-300 {
  height: 300px;
}

.w-200 {
  width: 200px;
}

.w-220 {
  width: 220px;
}

.w-250 {
  width: 250px;
}

.w-270 {
  width: 270px;
}

.mh-200 {
  min-height: 200px;
}

.mh-300 {
  min-height: 300px;
}

.mh-500 {
  min-height: 500px;
}

.mont-normal {
  font-weight: normal;
}

.mont-bold {
  font-weight: bold;
}

.mont-medium {
  font-weight: 500;
}

.text-justify {
  text-align: justify;
}

.text-grey {
  color: #dddbce;
}

.text-light-grey {
  color: #8e8775;
}

.text-indent {
  text-indent: 30px;
}

.text-blue {
  color: #165670;
}

.text-yellow {
  color: #fcb638;
}

.text-brown {
  color: #bca280;
}

.text-light-brown {
  color: #515151;
}

.bg-grey {
  background-color: #dddbce;
}

.bg-light-grey {
  background-color: #dcd0c0;
}

.bg-yellow {
  background-color: #fcb638;
}

.bg-light-pink {
  background-color: #f3efeb;
}

.bg-dark-pink {
  background-color: #e3d6ca;
}

.bg-brown {
  background-color: #bca280;
}

.bg-blue {
  background-color: #165670;
}

.border-yellow {
  border-color: #fcb638 !important;
}

.border-blue {
  border-color: #165670 !important;
}

.arrow-icon {
  width: 18px;
}

/* records navigation - ex: project, news & event */
.pagination .page-link {
  border: 0px;
  font-weight: normal;
  font-size: 1.125rem;
  margin-left: 0 !important;
  bottom: 0;
}
.pagination .active > .page-link,
.pagination .page-link.active {
  background-color: transparent;
  font-weight: bold;
}
.pagination .page-link {
  background-color: transparent;
}
.pagination .pagination-icon {
  width: 35px;
}
.pagination .active .page-link:after {
  content: "";
  width: 50%;
  position: absolute;
  left: 12px;
  bottom: 7px;
  border-width: 0 0 2px;
  border-style: solid;
}

.card,
.card-body,
.reviewers {
  background-color: none !important;
  --bs-card-border-width: 0px !important;
  --bs-card-bg: none !important;
}

@media only screen and (min-width: 26.9375rem) {
  .d-xssp-block {
    display: block !important;
  }
}
.path-frontpage .event-banner {
  height: 416px;
  -webkit-background-size: cover;
          background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
}
.path-frontpage .block-system-main-block .image-container {
  -webkit-background-size: cover;
          background-size: cover;
  height: 400px;
  background-repeat: no-repeat;
  position: relative;
}
.path-frontpage .block-system-main-block .image-container .image-title {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
}
.path-frontpage .project-img {
  height: 314px;
  background-color: #bca280;
  -webkit-background-size: cover;
          background-size: cover;
  background-repeat: no-repeat;
}
.path-frontpage .carousel-control-prev {
  margin-left: -3.125rem;
  width: 5%;
}
.path-frontpage .carousel-control-next {
  margin-right: -3.125rem;
  width: 5%;
}

@media only screen and (max-width: 47.9375rem) {
  .carousel-control-prev {
    margin-left: -1.25rem !important;
    width: 10% !important;
  }
  .carousel-control-next {
    margin-right: -0.625rem !important;
    width: 10% !important;
  }
}
.path-about .association-banner {
  height: 240px;
  -webkit-background-size: cover;
          background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
}
.path-about .translate-middle {
  -webkit-transform: translate(-70%, -55%) !important;
       -o-transform: translate(-70%, -55%) !important;
          transform: translate(-70%, -55%) !important;
}
.path-about .members-tab .nav-link,
.path-about .members-tab .active {
  color: #165670 !important;
}
.path-about .members-tab .active {
  border-top: 5px #fcb638 solid;
  border-bottom: 0px !important;
  font-weight: bold;
  margin-top: -0.3125rem;
}
.path-about .members-tab a {
  font-size: 1.5rem !important;
}
.path-about .members-tab a:hover {
  border-top: 5px #fcb638 solid;
  border-bottom: 0px !important;
  margin-top: -0.3125rem;
}
.path-about .association_constitution {
  border-radius: 20px;
}
.path-about .association_constitution a {
  color: #fcb638;
}
.path-about .association_constitution a:hover {
  color: #fcb638;
}
@media only screen and (max-width: 47.9375rem) {
  .path-about .members-tab .nav-item {
    padding-right: 0.625rem !important;
  }
  .path-about .members-tab a {
    font-size: 0.875rem !important;
  }
}
@media only screen and (max-width: 26.875rem) {
  .path-about .members-tab {
    display: block !important;
  }
}
@media only screen and (min-width: 48rem) {
  .path-about .association-banner {
    height: 480px;
  }
}
@media only screen and (min-width: 62rem) {
  .path-about .members-tab .nav-item {
    padding-right: 7.5rem !important;
  }
}

@media only screen and (max-width: 26.875rem) {
  h4.sm-fs {
    font-size: 0.95rem;
  }
}
.path-news-events .past-event-title {
  margin-top: -6.875rem;
}
.path-news-events .active > .page-link,
.path-news-events .page-link.active,
.path-news-events .page-link {
  color: #165670;
}
.path-news-events .latest-event-img {
  width: 380px;
}

.path-projects .active > .page-link,
.path-projects .page-link.active,
.path-projects .page-link {
  color: #fcb638;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
